%define upstream_name    Config-Simple
%define upstream_version 4.59

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Config-Simple module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch


%description
Reading and writing configuration files is one of the most frequent
aspects of any software design. Config::Simple is the library to help
you with it.

Config::Simple is a class representing configuration file object. It
supports several configuration file syntax and tries to identify the
file syntax to parse them accordingly. Library supports parsing,
updating and creating configuration files.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find . -type f -exec chmod 0644 {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/Config/Simple.pm
%{perl_vendorlib}/auto/Config/Simple
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 4.590.0-11.mga10
+ Revision: 2198019
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 4.590.0-10.mga9
+ Revision: 1802543
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 4.590.0-9.mga8
+ Revision: 1493580
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 4.590.0-8.mga7
+ Revision: 1266669
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 4.590.0-7.mga6
+ Revision: 1024315
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 4.590.0-6.mga6
+ Revision: 944751
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.590.0-5.mga5
+ Revision: 744302
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.590.0-4.mga5
+ Revision: 683999
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.590.0-3.mga4
+ Revision: 510274
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.590.0-2.mga3
+ Revision: 364705
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 4.590.0-1.mga1
+ Revision: 25971
- mageia rebuild
- imported package perl-Config-Simple


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 4.590.0-1mdv2010.0
+ Revision: 406903
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 4.59-3mdv2009.0
+ Revision: 241190
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jun 27 2007 Olivier Thauvin <nanardon@mandriva.org> 4.59-1mdv2008.0
+ Revision: 44827
- 4.59


* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:49:52 (58413)
- mkrel
- check section

* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 14:46:19 (58407)
Import perl-Config-Simple

* Wed Jul 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.58-1mdk
- 4.58

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 4.56-1mdk
- initial Mandriva package

